HoloPlay SDK Download

#1

HoloPlay SDK


The SDK for the HoloPlayer One and Lentil systems!
Includes Win and Mac calibrators, and a .unitypackage for developing in Unity.

Instructions:

HoloPlay SDK unitypackage:

  • if importing to a project for the first time, just double click the .unitypackage and import!

  • if updating a project with a pre-existing HoloPlay SDK:

    1. Start a new scene, keep it blank
    • Delete the entire existing HoloPlay SDK folder!!
    • Import the new .unitypackage
    • Project should now be up to date!


  • HoloPlay version 0.42
  • Uses Realsense
  • Does not use sound

Download:

[HoloPlaySDK-0.42.unitypackage]

1 Like
HoloPlay SDK Release Notes
Getting Holoflix out of your iPad, into Unity, and into HoloPlayer One
Leapmotion?
Getting Holoflix out of your iPad, into Unity, and into HoloPlayer One
Unable to apply HoloPlay settings and Not working interaction using HoloPlay SDK 0.42
#5

For anyone just trying this for the first time, check out this hello world holoplayer tutorial from @alxdncn

2 Likes
Holo-Hackathon (hosted by Looking Glass!) Sep 29-Oct 1
#6

Bump for hologram hackerz

1 Like
#7

Hello, This unitypackage is not working in Windows system. Used unity2017.4.11f1.

When i’m importing and applying HoloPlay Settings it is showing following errors:

Assertion failed: unsupported platform: couldn’t get group name for target %i
UnityEditor.PlayerSettings:SetUseDefaultGraphicsAPIs(BuildTarget, Boolean)
HoloPlaySettingsPrompt:OnGUI() (at Assets/HoloPlaySDK/internal/Editor/HoloPlaySettingsPrompt.cs:141)
UnityEngine.GUIUtility:ProcessEvent(Int32, IntPtr)

Assertion failed: Unknown platform 4 in GetTargetPlatformGraphicsAPIAvailability
UnityEditor.PlayerSettings:SetGraphicsAPIs(BuildTarget, GraphicsDeviceType[])
HoloPlaySettingsPrompt:OnGUI() (at Assets/HoloPlaySDK/internal/Editor/HoloPlaySettingsPrompt.cs:142)
UnityEngine.GUIUtility:ProcessEvent(Int32, IntPtr)

Assertion failed: Unknown platform 27 in GetTargetPlatformGraphicsAPIAvailability
UnityEditor.PlayerSettings:SetGraphicsAPIs(BuildTarget, GraphicsDeviceType[])
HoloPlaySettingsPrompt:OnGUI() (at Assets/HoloPlaySDK/internal/Editor/HoloPlaySettingsPrompt.cs:142)
UnityEngine.GUIUtility:ProcessEvent(Int32, IntPtr)

#8

Hi @godbrother just to make sure that you’re seeing this on all corners of the forum, the HoloPlay SDK you’re using is for an earlier product version called the HoloPlayer One.

You can download the latest HoloPlay SDK 0.1.4 here: http://look.glass/holoplaysdk

Let us know if you’re still running into any trouble! Sorry about the confusion there!

#9

Hi, I have the HoloPlayer One. I tried using this SDK but I am getting errors

.
Also, the latest holoplayer sdk 0.1.4. you linked does it support the Holoplayer One or is it for newer products?

#10

Hey there,

Unfortunately, the latest version of SDK does not support HoloPlayer One, please download an older version (0.42), which you can download here.

If you’re still seeing similar errors, please try to delete the files manually and re-import the package.